Subject: [bug#74780] Request for merging "mesa-updates" branch

From: Efraim Flashner <[email-masked]>
Date: Sun, 22 Dec 2024 11:19:36 +0200

On Fri, Dec 20, 2024 at 08:31:57PM +0000, John Kehayias wrote:
> On Wed, Dec 11, 2024 at 06:30 AM, John Kehayias wrote:
> 
> > Hi Guix,
> >
> > Currently the mesa-updates branch just has a few updates which seem to
> > have built fine (on x86_64 at least), see
> > <https://issues.guix.gnu.org/74779>.
> >
> > I don't know of other pending changes other than a libva update I'll
> > see about. Perhaps we can do some ungrafting too?
> >
> > John
> 
> (CC-ing Efraim after the patch to build the asahi vulkan driver on
> aarch64-linux)
> 
> I just rebased on master after further updating wayland-protocols and
> mesa to their very freshest versions.
> 
> Not much else going on here, so maybe just let this build and then merge
> to keep things current. Unfortunately the QA page hasn't shown a status
> for this branch but I'll check later.
> 
> There are discussions about libglvnd support in Mesa I need to chime in
> on, so we could tackle that, but not until the new year for me. That
> will require a decent number of changes and lots more testing, so my
> preference would be to merge this branch when substitutes are available
> and then immediately work on libglvnd or whatever else is pending.

I built mesa for aarch64, armhf, riscv64 and powerpc64le.  They all
built without any problems.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted